// Copyright (C) 2009 - 2011 - Digiteo - Michael Baudin
// Copyright (C) 2009 - 2011 - CEA - Jean-Marc Martinez
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

#ifndef _OPUSTC_H_
#define _OPUSTC_H_

#ifdef _MSC_VER
	#if LIBOPUSTC_EXPORTS 
		#define OPUSTC_IMPORTEXPORT __declspec (dllexport)
	#else
		#define OPUSTC_IMPORTEXPORT __declspec (dllimport)
	#endif
#else
	#define OPUSTC_IMPORTEXPORT
#endif
#undef __BEGIN_DECLS
#undef __END_DECLS
#ifdef __cplusplus
# define __BEGIN_DECLS extern "C" {
# define __END_DECLS }
#else
# define __BEGIN_DECLS /* empty */
# define __END_DECLS /* empty */
#endif

__BEGIN_DECLS

OPUSTC_IMPORTEXPORT void opuscouplex_main ( char * plan , char * reponse , char * castembin , char * dgibifile );

OPUSTC_IMPORTEXPORT void opuscouplex_msgsetfunction ( void (* f)(char * message) );
OPUSTC_IMPORTEXPORT void opuscouplex_errorsetfunction ( void (* f)(char * message) );
OPUSTC_IMPORTEXPORT void opuscouplex_verboselevelset ( int newlevel);

__END_DECLS

#endif /* _OPUSTC_H_ */
