// Copyright (C) 2010 - 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

cwd = pwd();

X = [25.0 3.0e-6 6.0 3.0e-5 1e-6 5.0e-4 50. 50. 50. 50. 21. 51. 3. 110. 160. ];
[cplxdir,plexfile,outputfile,castembin,dgibifile] = opustc_couplexstartup ( X );
cd(cplxdir);
verbose = 0;
opustc_couplexrun ( plexfile , outputfile ,castembin,dgibifile,verbose);
cd(cwd);
assert_checkequal(fileinfo(outputfile)<>[],%t);
Y = fscanfMat(outputfile);
assert_checkequal(size(Y),[1,168]);
//
// See what happens if we do not go into the directory.
// An error should be generated, but it is not.
// CASTEM goes into interactive mode.
if ( %f ) then
X = [25.0 3.0e-6 6.0 3.0e-5 1e-6 5.0e-4 50. 50. 50. 50. 21. 51. 3. 110. 160. ];
[cplxdir,plexfile,outputfile,castembin,dgibifile] = opustc_couplexstartup ( X );
verbose = 0;
instr="opustc_couplexrun ( plexfile , outputfile ,castembin,dgibifile,verbose);";
execstr(instr,"errcatch");
end
//
// Enable verbose mode
X = [25.0 3.0e-6 6.0 3.0e-5 1e-6 5.0e-4 50. 50. 50. 50. 21. 51. 3. 110. 160. ];
[cplxdir,plexfile,outputfile,castembin,dgibifile] = opustc_couplexstartup ( X );
verbose = 1;
cd(cplxdir);
opustc_couplexrun ( plexfile , outputfile ,castembin,dgibifile,verbose);
cd(cwd);
assert_checkequal(fileinfo(outputfile)<>[],%t);
Y = fscanfMat(outputfile);
assert_checkequal(size(Y),[1,168]);
